<?php
class Validator_Ip extends Zend_Validate_Abstract  {

	protected $_messageTemplates = array(
		"SpatnyFormat" => "Nesprávný formát IP adresy"
	);

	public function isValid($value, $context = null) {
		$this->_setValue($value);

		if(preg_match('/^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$/',$value)) {
			$casti = explode('.',$value);
			for($i=0;$i<4;$i++) {
				if($casti[$i]<0 || $casti[$i]>255) {
					$this->_error("SpatnyFormat");
					return false;
				}
			}
			return true;
		}
		$this->_error("SpatnyFormat");
		return false;
	 }

}
?>